Bug 1296232 - EBS volume remains in 'detached' state
EBS volume remains in 'detached' state
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage (Show other bugs)
3.1.0
Unspecified Unspecified
urgent Severity medium
: ---
: ---
Assigned To: Mark Turansky
chaoyang
:
Depends On:
Blocks: 1267746 1304752
  Show dependency treegraph
 
Reported: 2016-01-06 11:27 EST by Jan Safranek
Modified: 2016-05-12 12:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1304752 (view as bug list)
Environment:
Last Closed: 2016-05-12 12:26:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Safranek 2016-01-06 11:27:50 EST
When a AWS EBS volume is detached from a pod it cannot be attached to different pod on the same node. 

How reproducible:
always

Steps to Reproduce:
https://github.com/kubernetes/kubernetes/issues/15073#issuecomment-151219755

Origin PR: https://github.com/openshift/origin/pull/6242
[upstream Kubernetes has been fixed a month ago]
Comment 1 Mark Turansky 2016-01-11 10:34:38 EST
Upstream work on an attach/detach controller is in progress.  This controller will provide fencing so that volumes will first be detached before another node can have that same volume attached.
Comment 2 Bradley Childs 2016-01-26 10:47:31 EST
Fixed in kube and will be part of origin rebase.
Comment 3 chaoyang 2016-02-02 22:15:20 EST
Verification is passed on devenv-rhel7_3313
1. create a volume from web console
2. create a pod 
apiVersion: v1
kind: Pod
metadata:
  name: aws-web
spec:
  containers:
    - name: web
      image: jhou/hello-openshift
      ports:
        - name: web
          containerPort: 80
          protocol: tcp
      volumeMounts:
        - name: html-volume
          mountPath: "/usr/share/nginx/html"
  volumes:
    - name: html-volume
      awsElasticBlockStore:
        volumeID: aws://us-east-1d/vol-02927ba1
        fsType: ext4
3. after the pod is running, delete the pod and re-create it 
4. the pod is still in running status
Comment 4 chaoyang 2016-02-03 04:40:22 EST
will test this bug on ose env
Comment 8 chaoyang 2016-02-16 03:44:21 EST
Verification is passed on atomic-openshift-3.1.1.902-1.git.0.d625c01.el7.x86_64
Comment 11 errata-xmlrpc 2016-05-12 12:26:27 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1064

Note You need to log in before you can comment on or make changes to this bug.